Actualité informatique
Test comparatif matériel informatique
Jeux vidéo
Astuces informatique
Vidéo
Télécharger
Services en ligne
Forum informatique
01Business

|-  LOGICIELS

||-  Linux

|||-  

problème install carte wifi sous debian etch

 

alain-83740 LOGICIELS : mus2000 et 172 utilisateurs inconnus
Ajouter une réponse
 

 
Page photos
 
     
Vider la liste des messages à citer
 
 Page :
1
Auteur
 Sujet :

problème install carte wifi sous debian etch

Prévenir les modérateurs en cas d'abus 
niklavi2.0
niklavi2-0
Assidu (de 10 000 à 19 999 messages postés)
  1. Posté le 08/09/2006 à 17:37:30  
  1. answer
  1. Prévenir les modérateurs en cas d'abus
 
bonjour,

 voilà, ça fait deux jours que je m'énerve sur ma debian, je n'arrive pas à installer ma carte wifi

 c'est une intel prowireless 3945abg

 iwconfig me donne
 



lo        no wireless extensions.

 eth0      no wireless extensions.

 eth1      no wireless extensions.

 sit0      no wireless extensions.

 




 lspci me donne
 



05:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG Network Connection (rev 02)
 




 et le module n'est pas chargé, mais je n'arrive pas à installé le pilote

 



debian:~# modprobe ipw3945ABG
 FATAL: Module ipw3945ABG not found.


  1. homepage
limax
Débutant confirmé (de 1 000 à 4 999 messages postés)
  1. Posté le 08/09/2006 à 18:51:00  
  1. answer
  1. Prévenir les modérateurs en cas d'abus
 
tu l'as installé au moins le module car je crois qu'il n'est pas libre (ou une partie) donc chez debian si ce n'est pas libre tu dois aller le cherché et le compiler.
 Le driver se trouve là : http://ipw3945.sourceforge.net/.


---------------
gnu/debian lenny kernel 2.6.32
(Publicité)
niklavi2-0
Assidu (de 10 000 à 19 999 messages postés)
  1. Posté le 08/09/2006 à 19:29:37  
  1. answer
  1. Prévenir les modérateurs en cas d'abus
 
le problème c'est que dès que j'essaies de le compiler ça me met des messages d'erreurs

  1. homepage
limax
Débutant confirmé (de 1 000 à 4 999 messages postés)
  1. Posté le 08/09/2006 à 19:45:49  
  1. answer
  1. Prévenir les modérateurs en cas d'abus
 

niklavi a écrit :

le problème c'est que dès que j'essaies de le compiler ça me met des messages d'erreurs
 


lesquels?  As tu mis les headers corespondant à ton noyau?


---------------
gnu/debian lenny kernel 2.6.32
niklavi2-0
Assidu (de 10 000 à 19 999 messages postés)
  1. Posté le 09/09/2006 à 13:55:45  
  1. answer
  1. Prévenir les modérateurs en cas d'abus
 
qu'est ce que les headers?

 si tu parles de kernel headers, oui j'ai installés tout ce que j'ai pu trouver par synaptic

(Publicité)
  1. homepage
limax
Débutant confirmé (de 1 000 à 4 999 messages postés)
  1. Posté le 09/09/2006 à 14:13:27  
  1. answer
  1. Prévenir les modérateurs en cas d'abus
 

niklavi a écrit :

qu'est ce que les headers?

 si tu parles de kernel headers, oui j'ai installés tout ce que j'ai pu trouver par synaptic
 


oui mais il ne faut que celui qui correspond à ton noyau.
 enlève les tous puis:

 $ uname -a  (pour avoir lire le numero du kernel)
 $ uname -a | sed 's/^[^0-9]*\([^ ]*\).*/\1/'   (pour ne lire que le numero)
 $ apt-cache linux-headers | grep lenumeroquetuasnoté

 ou alors ceci $ apt-cache linux-headers | grep `uname -a | sed 's/^[^0-9]*\([^ ]*\).*/\1/'`

 il ne te reste plus qu'a installer ce paquet.
 # apt-get install linux-headers-**tonnumero**

 Tu dois avoir un lien symbolique qui pointe vers ces headers.

 # cd /usr/src/
 # ls   (pour vérifier les dossier)
 # rm linux  (pas de soucis car c'est un lien symbolique)
 # ln -s linux-headers-**tonnumero**   linux


---------------
gnu/debian lenny kernel 2.6.32
niklavi2-0
Assidu (de 10 000 à 19 999 messages postés)
  1. Posté le 11/09/2006 à 15:29:46  
  1. answer
  1. Prévenir les modérateurs en cas d'abus
 
bon j'ai du réinstallé unbutu et debian à cause d'une merde!

 bon je reprends, j'ai installés les headers et retelechargé le pilote et le module, je vais réessayer de déchiffrer le fichier install du driver

niklavi2-0
Assidu (de 10 000 à 19 999 messages postés)
  1. Posté le 11/09/2006 à 15:45:13  
  1. answer
  1. Prévenir les modérateurs en cas d'abus
 
j'ai encore un petit problème :o

 



debian:/home/electro# tar xzvf ieee80211-1.1.12.tgz
 ieee80211-1.1.12/
 ieee80211-1.1.12/in-tree/
 ieee80211-1.1.12/in-tree/Makef​ile
 ieee80211-1.1.12/in-tree/Kconf​ig
 ieee80211-1.1.12/ieee80211_cry​pt.c
 ieee80211-1.1.12/ieee80211_cry​pt_ccmp.c
 ieee80211-1.1.12/ieee80211_cry​pt_tkip.c
 ieee80211-1.1.12/ieee80211_cry​pt_wep.c
 ieee80211-1.1.12/ieee80211_geo​.c
 ieee80211-1.1.12/ieee80211_mod​ule.c
 ieee80211-1.1.12/ieee80211_rx.​c
 ieee80211-1.1.12/ieee80211_tx.​c
 ieee80211-1.1.12/ieee80211_wx.​c
 ieee80211-1.1.12/net/
 ieee80211-1.1.12/net/ieee80211​.h
 ieee80211-1.1.12/net/ieee80211​_crypt.h
 ieee80211-1.1.12/net/ieee80211​_radiotap.h
 ieee80211-1.1.12/GIT_SHA1
 ieee80211-1.1.12/LICENSE
 ieee80211-1.1.12/CHANGES
 ieee80211-1.1.12/INSTALL
 ieee80211-1.1.12/Makefile
 ieee80211-1.1.12/idvals
 ieee80211-1.1.12/remove-old



 debian:/home/electro# cd ieee80211-1.1.12
 debian:/home/electro/ieee80211​-1.1.12# make
 Checking in /lib/modules/2.6.16-2-686 for ieee80211 components...
 /lib/modules/2.6.16-2-686/kern​el/net/ieee80211/ieee80211_cry​pt.ko
 /lib/modules/2.6.16-2-686/kern​el/net/ieee80211/ieee80211.ko
 /lib/modules/2.6.16-2-686/kern​el/net/ieee80211/ieee80211_cry​pt_ccmp.ko
 /lib/modules/2.6.16-2-686/kern​el/net/ieee80211/ieee80211_cry​pt_tkip.ko
 /lib/modules/2.6.16-2-686/kern​el/net/ieee80211/ieee80211_cry​pt_wep.ko
 Above files found.  Remove? [y],n y
 CONFIG_IEEE80211=m
 CONFIG_IEEE80211_CRYPT_WEP=m
 CONFIG_IEEE80211_CRYPT_CCMP=m
 CONFIG_IEEE80211_CRYPT_TKIP=m
 Above definitions found.  Comment out? [y], n y
 make -C /lib/modules/2.6.16-2-686/buil​d M=/home/electro/ieee80211-1.1.​12 MODVERD IR=/home/electro/ieee80211-1.1​.12 modules
 /usr/src/linux-headers-2.6.16-​2-686/scripts/gcc-version.sh: line 11: gcc-4.0: co mmand not found
 /usr/src/linux-headers-2.6.16-​2-686/scripts/gcc-version.sh: line 12: gcc-4.0: co mmand not found
 make[1]: gcc-4.0 : commande introuvable
 make[1]: entrant dans le répertoire « /usr/src/linux-headers-2.6.16-​2-686 »
  CC [M]  /home/electro/ieee80211-1.1.12​/ieee80211_module.o
 /bin/sh: gcc-4.0: command not found
 make[2]: *** [/home/electro/ieee80211-1.1.12​/ieee80211_module.o] Erreur 127
 make[1]: *** [_module_/home/electro/ieee8021​1-1.1.12] Erreur 2
 make[1]: quittant le répertoire « /usr/src/linux-headers-2.6.16-​2-686 »
 make: *** [modules] Erreur 2
 debian:/home/electro/ieee80211​-1.1.12# make
 Checking in /lib/modules/2.6.16-2-686 for ieee80211 components...
 make -C /lib/modules/2.6.16-2-686/buil​d M=/home/electro/ieee80211-1.1.​12 MODVERD IR=/home/electro/ieee80211-1.1​.12 modules
 /usr/src/linux-headers-2.6.16-​2-686/scripts/gcc-version.sh: line 11: gcc-4.0: co mmand not found
 /usr/src/linux-headers-2.6.16-​2-686/scripts/gcc-version.sh: line 12: gcc-4.0: co mmand not found
 make[1]: gcc-4.0 : commande introuvable
 make[1]: entrant dans le répertoire « /usr/src/linux-headers-2.6.16-​2-686 »
  CC [M]  /home/electro/ieee80211-1.1.12​/ieee80211_module.o
 /bin/sh: gcc-4.0: command not found
 make[2]: *** [/home/electro/ieee80211-1.1.12​/ieee80211_module.o] Erreur 127
 make[1]: *** [_module_/home/electro/ieee8021​1-1.1.12] Erreur 2
 make[1]: quittant le répertoire « /usr/src/linux-headers-2.6.16-​2-686 »
 make: *** [modules] Erreur 2
 


(Publicité)
  1. homepage
limax
Débutant confirmé (de 1 000 à 4 999 messages postés)
  1. Posté le 11/09/2006 à 18:47:16  
  1. answer
  1. Prévenir les modérateurs en cas d'abus
 



 /bin/sh: gcc-4.0: command not found



 tu as quoi comme compilateur?
 # apt-cache search gcc | grep ^gcc

 sous la etch j'ai gcc-4.1 et pas de gcc-4.0
 si après avoir mis gcc-4.1 ca ne fonctionne pas tu peux essayer de faire un lien symbolique
 ln -s /usr/bin/gcc-4.1 /usr/bin/gcc-4.0


---------------
gnu/debian lenny kernel 2.6.32
lord-winner
Tu cartonnes ! (de 500 à 999 messages postés)
  1. Posté le 12/09/2006 à 07:26:00  
  1. answer
  1. Prévenir les modérateurs en cas d'abus
 
> Y a ptet un bug au niveau des sources du kernel ?
 Ca serait étonnant ?

 La compilation de modules kernel nécessite absolument exactement la même version de compilateur que celle qui a été utilisée pour compiler le kernel. Si ton kernel a été compilé avec GCC 4.0, installe GCC 4.0 sur ta machine.

  1. homepage
limax
Débutant confirmé (de 1 000 à 4 999 messages postés)
  1. Posté le 12/09/2006 à 14:00:42  
  1. answer
  1. Prévenir les modérateurs en cas d'abus
 

Lord Winner a écrit :

> Y a ptet un bug au niveau des sources du kernel ?
 Ca serait étonnant ?


je penche plutot pour un bug de zplay :D


---------------
gnu/debian lenny kernel 2.6.32
(Publicité)
  1. homepage
fat115
Membre impliqué (de 20 000 à 29 999 messages postés)
  1. Posté le 12/09/2006 à 17:46:39  
  1. answer
  1. Prévenir les modérateurs en cas d'abus
 

limax a écrit :

 
 je penche plutot pour un bug de zplay :D
 



 C'est vrai que ça bugge facilement un zPlay :lol:


---------------
Forum inutilisable => je suis parti ailleurs !
niklavi2-0
Assidu (de 10 000 à 19 999 messages postés)
  1. Posté le 12/09/2006 à 18:21:37  
  1. answer
  1. Prévenir les modérateurs en cas d'abus
 
je regarderai demain, merci à tous et je pensais la même chose que zplay alors soyez pas trop dur avec lui :D

niklavi2-0
Assidu (de 10 000 à 19 999 messages postés)
  1. Posté le 13/09/2006 à 14:53:04  
  1. answer
  1. Prévenir les modérateurs en cas d'abus
 

limax a écrit :

 
 oui mais il ne faut que celui qui correspond à ton noyau.
 enlève les tous puis:

 $ uname -a  (pour avoir lire le numero du kernel)
 $ uname -a | sed 's/^[^0-9]*\([^ ]*\).*/\1/'   (pour ne lire que le numero)
 $ apt-cache linux-headers | grep lenumeroquetuasnoté

 ou alors ceci $ apt-cache linux-headers | grep `uname -a | sed 's/^[^0-9]*\([^ ]*\).*/\1/'`

 il ne te reste plus qu'a installer ce paquet.
 # apt-get install linux-headers-**tonnumero**

 Tu dois avoir un lien symbolique qui pointe vers ces headers.

 # cd /usr/src/
 # ls   (pour vérifier les dossier)
 # rm linux  (pas de soucis car c'est un lien symbolique)
 # ln -s linux-headers-**tonnumero**   linux


 




 bon je reprends ici

 je comprends pas le rm linux. dans /usr/src j'ai que deux répertoire
 linux-headers-2.6.16-2  linux-headers-2.6.16-2-686

 mais ceux sont des répertoire, qu'est que je dois en faire? un rmdir :heink: ?

(Publicité)
  1. homepage
limax
Débutant confirmé (de 1 000 à 4 999 messages postés)
  1. Posté le 13/09/2006 à 15:06:18  
  1. answer
  1. Prévenir les modérateurs en cas d'abus
 
non de toute facon un rmdir ne t'efface un dossier que s'il est vide.
 (juste pour info pour effacer un dossier on fait rm -Rf tondossier mais fait très attention car il n'y a pas de poubelle)

 il n'y a donc pas de lien symbolique qui est pointe vers linux-headers-2.6.16-2-686

 Il faut donc simplement le créer.

 ln -s linux-headers-2.6.16-2-686 linux


---------------
gnu/debian lenny kernel 2.6.32
niklavi2-0
Assidu (de 10 000 à 19 999 messages postés)
  1. Posté le 13/09/2006 à 15:12:40  
  1. answer
  1. Prévenir les modérateurs en cas d'abus
 
ok je vais le faire

niklavi2-0
Assidu (de 10 000 à 19 999 messages postés)
  1. Posté le 13/09/2006 à 16:30:31  
  1. answer
  1. Prévenir les modérateurs en cas d'abus
 
marche po :(

 le lien symbolique fonctionne bien, l'install se fait bien jusqu'a un certain moment mais après il me fait encore un code erreur :o , je me calme et je reprends :fou:

  1. homepage
limax
Débutant confirmé (de 1 000 à 4 999 messages postés)
  1. Posté le 13/09/2006 à 18:36:53  
  1. answer
  1. Prévenir les modérateurs en cas d'abus
 
Est la même erreur? Donne le message d'erreur.

 Parceque si c'est encore gcc4 j'espère que tu l'as au moins installé.


---------------
gnu/debian lenny kernel 2.6.32
niklavi2-0
Assidu (de 10 000 à 19 999 messages postés)
  1. Posté le 13/09/2006 à 18:48:36  
  1. answer
  1. Prévenir les modérateurs en cas d'abus
 
oui ça c'est bon!

 je vais voir avec mon cousin qui vient d'arriver, il bosse sous fedora, il va se démerder

niklavi2-0
Assidu (de 10 000 à 19 999 messages postés)
  1. Posté le 13/09/2006 à 19:33:01  
  1. answer
  1. Prévenir les modérateurs en cas d'abus
 
voilà ou je bloque, cepetit con était à la bourre il peut pas revenir avant la semaine prochaine

 



debian:/home/electro/ipw3945-1​.1.0# make
 Using ieee80211 subsystem version '1.1.14' (API v2) from:

Base: /lib/modules/2.6.16-2-686/

Path: /lib/modules/2.6.16-2-686/incl​ude/

 EXTRA_CFLAGS = -I/lib/modules/2.6.16-2-686/in​clude/ -DIEEE80211_API_VERSION=2 - g -Wa,-adhlms=check_inc.lst

 make -C /lib/modules/2.6.16-2-686/buil​d M=/home/electro/ipw3945-1.1.0  modules
 make[1]: entrant dans le répertoire « /usr/src/linux-headers-2.6.16-​2-686 »
  CC [M]  /home/electro/ipw3945-1.1.0/ip​w3945.o
  Building modules, stage 2.
  MODPOST
 *** Warning: "alloc_ieee80211" [/home/electro/ipw3945-1.1.0/ip​w3945.ko] undefine d!
 *** Warning: "free_ieee80211" [/home/electro/ipw3945-1.1.0/ip​w3945.ko] undefined !
 *** Warning: "ieee80211_wx_get_encodeext" [/home/electro/ipw3945-1.1.0/ip​w3945.k o] undefined!
 *** Warning: "ieee80211_wx_set_encodeext" [/home/electro/ipw3945-1.1.0/ip​w3945.k o] undefined!
 *** Warning: "ieee80211_wx_get_encode" [/home/electro/ipw3945-1.1.0/ip​w3945.ko] undefined!
 *** Warning: "ieee80211_wx_set_encode" [/home/electro/ipw3945-1.1.0/ip​w3945.ko] undefined!
 *** Warning: "ieee80211_wx_get_scan" [/home/electro/ipw3945-1.1.0/ip​w3945.ko] un defined!
 *** Warning: "ieee80211_freq_to_channel" [/home/electro/ipw3945-1.1.0/ip​w3945.ko ] undefined!
 *** Warning: "ieee80211_set_geo" [/home/electro/ipw3945-1.1.0/ip​w3945.ko] undefi ned!
 *** Warning: "ieee80211_get_channel" [/home/electro/ipw3945-1.1.0/ip​w3945.ko] un defined!
 *** Warning: "ieee80211_rx" [/home/electro/ipw3945-1.1.0/ip​w3945.ko] undefined!
 *** Warning: "ieee80211_rx_mgt" [/home/electro/ipw3945-1.1.0/ip​w3945.ko] undefin ed!
 *** Warning: "ieee80211_get_channel_flags" [/home/electro/ipw3945-1.1.0/ip​w3945. ko] undefined!
 *** Warning: "ieee80211_get_geo" [/home/electro/ipw3945-1.1.0/ip​w3945.ko] undefi ned!
 *** Warning: "ieee80211_channel_to_index" [/home/electro/ipw3945-1.1.0/ip​w3945.k o] undefined!
 *** Warning: "ieee80211_tx_frame" [/home/electro/ipw3945-1.1.0/ip​w3945.ko] undef ined!
 *** Warning: "ieee80211_is_valid_channel" [/home/electro/ipw3945-1.1.0/ip​w3945.k o] undefined!
 *** Warning: "escape_essid" [/home/electro/ipw3945-1.1.0/ip​w3945.ko] undefined!
 *** Warning: "ieee80211_txb_free" [/home/electro/ipw3945-1.1.0/ip​w3945.ko] undef ined!
  LD [M]  /home/electro/ipw3945-1.1.0/ip​w3945.ko
 make[1]: quittant le répertoire « /usr/src/linux-headers-2.6.16-​2-686 »
 debian:/home/electro/ipw3945-1​.1.0#
 


  1. homepage
limax
Débutant confirmé (de 1 000 à 4 999 messages postés)
  1. Posté le 13/09/2006 à 21:30:24  
  1. answer
  1. Prévenir les modérateurs en cas d'abus
 
je crois que le driver est sur les sources non free de sid
 # apt-cache search ipw3945
 ieee80211-headers-2.6.17-2 - 802.11 (wireless) network stack headers for Linux 2.6.17-2
 ieee80211-source - Source for the 802.11 (wireless) network stack for Linux
 firmware-ipw3945 - Binary firmware for IPW3945


 je pense que ce que tu as besoin est ce paquet firmware-ipw3945 qui est non libre.
 Tu peux peut être essayer de l'installer. Je ne vois pas pour ton erreur de compilation.


---------------
gnu/debian lenny kernel 2.6.32
  1. homepage
limax
Débutant confirmé (de 1 000 à 4 999 messages postés)
  1. Posté le 13/09/2006 à 21:39:34  
  1. answer
  1. Prévenir les modérateurs en cas d'abus
 
Tu as lu le fichier Readme?

 



First, we build and install the ieee80211 subsystem.  You can obtain
 the latest ieee80211 subsystem from http://ieee80211.sf.net.  We
 recommend version 1.1.12 or newer:

  % tar xzvf ieee80211-1.1.14.tgz
  % cd ieee80211-1.1.14
  % make
  # make install   <--- You may need to be root
  % cd ..

 If you encounter problems with the above, you may need to install the
 ieee80211 sources into your kernel and then build it as part of your
 kernel image.  See the INSTALL and README.ieee80211 files provided in
 the ieee80211 subsystem package for more information.

 Once the ieee80211 subsystem is installed, we build the ipw3945.ko module:

  % tar xzvf ipw3945-1.1.0.tgz
  % cd ipw3945-1.1.0
  % make

 Now we install the firmware files (first finding where to install them):

  % wget http://bughost.org/ipw3945/uco [...] e-1.13.tgz .
  % DIR=$(sed -ne "s:^FIRMWARE_DIR=\([^, ]*\).*:\1:p" \
   /etc/hotplug/firmware.agent)
  % tar xzvf ipw3945-ucode-1.13.tgz
  % less ipw3945-ucode-1.13/LICENSE.ipw​3945-ucode
  # cp ipw3945-ucode-1.13/ipw3945.uco​de $DIR

 NOTE:  'DIR' above typically works out to /lib/firmware.

 Now we obtain the regulatory daemon:

  % wget http://bughost.org/ipw3945/dae [...] 1.7.22.tgz .
  % tar xzvf ipw3945d-1.7.22.tgz
  % less ipw3945d-1.7.22/LICENSE.ipw394​5d

 Depending on your architecture perform one of the following  

 For 32-bit systems:

  # cp ipw3945d-1.7.22/x86/ipw3945d /sbin



 il te faut donc installer un autre paquet avant.
 Tu as le choix d'installer un .deb qui est sur sid (donc un risque de rendre instable la machine)  ou de compiler toi même le module et de suivre à la lettre le fichier INSTALL.


---------------
gnu/debian lenny kernel 2.6.32
niklavi2-0
Assidu (de 10 000 à 19 999 messages postés)
  1. Posté le 14/09/2006 à 07:28:39  
  1. answer
  1. Prévenir les modérateurs en cas d'abus
 

limax a écrit :

Tu as lu le fichier Readme?



 il te faut donc installer un autre paquet avant.
 Tu as le choix d'installer un .deb qui est sur sid (donc un risque de rendre instable la machine)  ou de compiler toi même le module et de suivre à la lettre le fichier INSTALL.
 




 oui je l'ai lu comme j'ai pu et si je passe quand même les avertissement warning j'ai un un problème sur la commande

 



tar xzvf ipw3945-ucode-1.13.tgz




 xzvf ==> commande pas valable ou un truc du genre

 je vais essayer de faire ce que tu m'as dit au dessus ;)

  1. homepage
limax
Débutant confirmé (de 1 000 à 4 999 messages postés)
  1. Posté le 14/09/2006 à 08:59:59  
  1. answer
  1. Prévenir les modérateurs en cas d'abus
 



tar xzvf ipw3945-ucode-1.13.tgz


ouvre le avec file-roller si tu préfère les gui.


---------------
gnu/debian lenny kernel 2.6.32
  1. homepage
limax
Débutant confirmé (de 1 000 à 4 999 messages postés)
  1. Posté le 15/09/2006 à 20:29:07  
  1. answer
  1. Prévenir les modérateurs en cas d'abus
 
Je ne suis pas certain que tu ais tout compris
 Pour le pinning regarde ceci http://www.andesi.org/index.php?node=130
 C'est pour mélanger les versions de etch et sid
 Quand tu veux un paquet de sid # apt-get -t unstable tonpaquetdesid
 Le mieux reste de téléchatger les sources que l'on recompile sous etch.

 un autre dépot pour la video etc... à rajouter dans /etc/apt/sources.list
 


---------------
gnu/debian lenny kernel 2.6.32
niklavi2-0
Assidu (de 10 000 à 19 999 messages postés)
  1. Posté le 16/09/2006 à 14:04:08  
  1. answer
  1. Prévenir les modérateurs en cas d'abus
 
oui ça j'ai compris, le firware c'est bien installé mais ça change rien après!

 à croire que debian ne supporte pas cette carte wifi :o

  1. homepage
limax
Débutant confirmé (de 1 000 à 4 999 messages postés)
  1. Posté le 16/09/2006 à 16:14:35  
  1. answer
  1. Prévenir les modérateurs en cas d'abus
 
alors tu vires   firmware-ipw3945 le paquet et tu essayes de compiler le module en suivant à la lettre le README  (il y a plusieurs choses à installer)

 1) il faut installer ieee80211
 a) avec des paquets debian

 tu as les paquets mais compilé pour le noyau 2.6.17
 alors soit tu installes ce noyau, tu rebootes dessus, et tu installes par exemple k7 pour amdk7 ou autre:
 



ieee80211-headers-2.6
 ieee80211-headers-2.6.17-2
 ieee80211-modules-2.6.17-2-k7
 ieee80211-modules-2.6-k7





 b) tu compiles toi même

 $ wget http://ovh.dl.sourceforge.net/ [...] 1.2.15.tgz
 $ tar zxvf ieee80211-1.2.15.tgz
 $ cd ieee80211-1.2.15
 $ gvim README
 $ make  (bizarre leur make veux enlever les anciens module  ieee80211 et c'est donc à faire sous root et j'aime pas ca)

 2) tu t'occupes ensuite de ipw3945

 wget http://prdownloads.sourceforge [...] z?download
 tar  zxvf ipw3945-1.1.0.tgz
 cd ipw3945-1.1.0
 make IEEE80211_INC=/la/ou/sont/les/​sources/ieee80211-1.2.15/


 le module s'est compilé chez moi mais j'aurai tendance plutôt à booter sur un noyau 2.6.17 puis installer ieee avec les paquets deb et ensuite compiler ipw3945


 à toi de voir la méthode ce n'est pas toujours simple au début.



---------------
gnu/debian lenny kernel 2.6.32
niklavi2-0
Assidu (de 10 000 à 19 999 messages postés)
  1. Posté le 16/09/2006 à 17:47:13  
  1. answer
  1. Prévenir les modérateurs en cas d'abus
 
marche pas, j'ai essayé les deux méthodes, tout ce passe bien mais en faisant iwconfig ou modprobe ipw3945ABG j'ai toujours rien, je laisse tomber et je garde debian que sur mon pc fixe.

 merci beaucoup d'avoir passé autant de temps à m'aider

  1. homepage
limax
Débutant confirmé (de 1 000 à 4 999 messages postés)
  1. Posté le 16/09/2006 à 20:08:23  
  1. answer
  1. Prévenir les modérateurs en cas d'abus
 
quand tu arriveras un peu mieux à faire des compilations je pense que tu devrais reprendre.

 Il y a quelques années lorsque j'ai débuté qous linux je suis resté 6 mois avec un driver de mon winmodem que je n'arrivais pas à commpiler. La réponse à mon problème était dans le README sous mes yeux. Je pense que ca doit marcher puis que je l'ai compilé mais il te faut un peu de patience, bien analyser les messages d'erreurs.

 dernier truc
 # update-modules
 # modprobe ipw3945

 salut


---------------
gnu/debian lenny kernel 2.6.32
niklavi2-0
Assidu (de 10 000 à 19 999 messages postés)
  1. Posté le 16/09/2006 à 21:05:21  
  1. answer
  1. Prévenir les modérateurs en cas d'abus
 
je vais un peu me reposer la tête et je reprendrai plus tard ;)

hymntolife
  1. Posté le 04/11/2006 à 15:01:15  
  1. answer
  1. Prévenir les modérateurs en cas d'abus
 
Bon bah je remonte le topic étant donné que j'ai le même problème, l'installation du subsystem 802.11 se déroule normalement mais pour le second make, ça me donne ceci :

 sakura:/data/drivers/linux/int​el-ipw3945-1.0.0/ipw3945-1.0.0​# make
 mkdir -p /data/drivers/linux/intel-ipw3​945-1.0.0/ipw3945-1.0.0/tmp/.t​mp_versions
 cp /lib/modules/2.6.17-2-686/net/​ieee80211/.tmp_versions/*.mod /data/drivers/linux/intel-ipw3​945-1.0.0/ipw3945-1.0.0/tmp/.t​mp_versions
 make -C /lib/modules/2.6.17-2-686/buil​d M=/data/drivers/linux/intel-ip​w3945-1.0.0/ipw3945-1.0.0 MODVERDIR=/data/drivers/linux/​intel-ipw3945-1.0.0/ipw3945-1.​0.0/tmp/.tmp_versions modules
 make[1]: Entering directory `/usr/src/linux-headers-2.6.17​-2-686'
  CC [M]  /data/drivers/linux/intel-ipw3​945-1.0.0/ipw3945-1.0.0/ipw394​5.o
 In file included from <command line>:1:
 ./include/linux/autoconf.h:157​2:1: warning: "CONFIG_IPW_QOS" redefined
 <command line>:1:1: warning: this is the location of the previous definition
 /data/drivers/linux/intel-ipw3​945-1.0.0/ipw3945-1.0.0/ipw394​5.c: In function âipw_send_associateâ:
 /data/drivers/linux/intel-ipw3​945-1.0.0/ipw3945-1.0.0/ipw394​5.c:3874: error: too few arguments to function âieee80211_tx_frameâ
 /data/drivers/linux/intel-ipw3​945-1.0.0/ipw3945-1.0.0/ipw394​5.c: In function âipw_bg_daemon_cmdâ:
 /data/drivers/linux/intel-ipw3​945-1.0.0/ipw3945-1.0.0/ipw394​5.c:4319: error: too few arguments to function âieee80211_tx_frameâ
 /data/drivers/linux/intel-ipw3​945-1.0.0/ipw3945-1.0.0/ipw394​5.c: In function âipw_auth_workâ:
 /data/drivers/linux/intel-ipw3​945-1.0.0/ipw3945-1.0.0/ipw394​5.c:8698: error: too few arguments to function âieee80211_tx_frameâ
 /data/drivers/linux/intel-ipw3​945-1.0.0/ipw3945-1.0.0/ipw394​5.c:8742: error: too few arguments to function âieee80211_tx_frameâ
 /data/drivers/linux/intel-ipw3​945-1.0.0/ipw3945-1.0.0/ipw394​5.c: In function âipw_handle_probe_requestâ:
 /data/drivers/linux/intel-ipw3​945-1.0.0/ipw3945-1.0.0/ipw394​5.c:8813: error: too few arguments to function âieee80211_tx_frameâ
 make[2]: *** [/data/drivers/linux/intel-ipw3​945-1.0.0/ipw3945-1.0.0/ipw394​5.o] Error 1
 make[1]: *** [_module_/data/drivers/linux/in​tel-ipw3945-1.0.0/ipw3945-1.0.​0] Error 2
 make[1]: Leaving directory `/usr/src/linux-headers-2.6.17​-2-686'
 make: *** [modules] Error 2

  1. homepage
limax
Débutant confirmé (de 1 000 à 4 999 messages postés)
  1. Posté le 04/11/2006 à 17:35:19  
  1. answer
  1. Prévenir les modérateurs en cas d'abus
 
regarde aussi ici http://bservin.free.fr/wikini/ [...] hinkpadT60 et aussi ceci http://groups.google.fr/group/ [...] +ce+groupe


---------------
gnu/debian lenny kernel 2.6.32
hymntolife
  1. Posté le 04/11/2006 à 19:05:01  
  1. answer
  1. Prévenir les modérateurs en cas d'abus
 
Bon bah le drivers de SourceForge marche impeccable, peut-être tout simplement parce que j'ai du réinstaller ma Debian entre-temmps :p

 Page :
1

Aller à :
 

Sujets relatifs
Debian Carte Son aide installation debian etch
Problème eurosport player sur pc probleme mon pc ne lit pas ma carte sd (résolu)
probléme de curseur dans photoshop probleme de musique sur diaporama open office
Probleme DD exFAT a FAT32 connection réseau wifi ( mcdo)
Avis à tous les détenteurs d'un ACER. Création CD install Gros problème : Operating system not found !
Plus de sujets relatifs à : problème install carte wifi sous debian etch

Les 5 sujets de discussion précédents Nombre de réponses Dernier message
installer internet à partir de mon mac 2
erreur de sortie d'etat 139 ubuntu 1
avis aux joueurs sur macintosh 1
ajout de programme sur pocket loox n100 5
Conseil audio avant d'acheter un Mac 3